class mrepo(
   mainconf  = '/etc/mrepo.conf',
   srcdir = '/var/mrepo',
   wwwdir = '/var/www/mrepo',
   confdir = '/etc/mrepo.conf.d',
   arch    = 'i386',
   mailto  = 'root@localhost',
   metadata = false,
   smtp_server = 'localhost',
   htmldir = false,
   cachedir = false,
   lockdir = false,
   pxelinux = false,
   tftpdir = false,
   logfile = false,
   createrepocmd = false,
   genbasedircmd = false,
   hardlinkcmd = false,
   hardlinkpluscmd = false,
   lftpcmd = false,
   mirrordircmd = false,
   mountcmd = false,
   repoviewcmd = false,
   rhngetcmd = false,
   rsynccmd = false,
   umountcmd = false,
   yumarchcmd = false,
   no_proxy = false,
   ftp_proxy = false,
   http_proxy = false,
   https_proxy = false,
   mailfrom = false,
   quiet = false,
   hardlink = false,
   shareiso = false,
   lftp_bandwidth_limit = false,
   lftp_cleanup = false,
   lftp_exclude_debug = false,
   lftp_exclude_srpm = false,
   lftp_options = false,
   lftp_commands = false,
   lftp_mirror_options = false,
   lftp_timeout = false,
   mirrordir_cleanup = false,
   mirrordir_exclude_debug = false,
   mirrordir_exclude_srpm = false,
   mirrordir_options = false,
   reposync_cleanup = false,
   reposync_newest_only = false,
   reposync_options = false,
   rhnlogin = false,
   rhnget_options = false,
   rhnget_cleanup = false,
   rhnget_download_all = false,
   rysnc_bandwidth_limit = false,
   rsync_cleanup = false,
   rsync_exclude_debug = false,
   rsync_exclude_srpm = false,
   rsync_options = false,
   rsync_timeout = false,
   createrepo_options = false,
   repoview_options = false
) {
   file { $mainconf :
      ensure => file,
      notify => Service['mrepo'],
      content => template('mrepo/mrepo_main.conf.erb')
   }

   file { $confdir :
      ensure => directory,
      require => File[$mainconf],
      purge  => true,
      recurse => true
   }
   
   package { 'mrepo':
      ensure => installed
   }

   service { 'mrepo':
      ensure => running,
      enable => true,
      hasrestart => true,
      hasstatus => false
   }
}
